Rules
Use this REST API to launch a business rule.
Required Roles
Service Administrator, Power User (if Rule Launch access is granted)
REST Resource
POST /HyperionPlanning/rest/{api_version}/applications/{application}/jobsRequest
Supported Media Types: application/json
Parameters
The following table summarizes the client request parameters specific to this job. For parameters that are common to all jobs, see Execute a Job.
Using this REST API requires prerequisites, such as understanding how to use jobs. See Prerequisites. Be sure that you understand how to use jobs as described in Managing Jobs.
Table 3-55 Rules
| Name | Description | Required | Default |
|---|---|---|---|
jobType |
Rules or RULES (both parameters are supported)
|
Yes | None |
jobName |
The name of a business rule exactly as it is defined in the Planning application. Example: |
Yes | None |
parameters |
Optionally you can specify the runtime prompts and their values required to execute the business rule. Note: The rule is executed against the plan type to which it was deployed. The value must use JSON syntax. |
No, unless default values for the run time prompts are not provided in Calculation Manager. | Default values for the runtime prompts as provided in Calculation Manager will be used. |
Example URL and Payload
https://<BASE-URL>/HyperionPlanning/rest/v3/applications/PS4app1/jobs
{
"jobType":"Rules",
"jobName":"Operating Expense Adj Plan",
"parameters":
{
"MyScenario1":"Current",
"MyVersion1":"BU Version_1",
"ToEntity":"CA",
"Rule_Level_Var":"AZ",
"planType":"Plan1"
}
}